Package com.icc.util

# Enum Class DBProperties.DatabaseType

java.lang.Object
java.lang.Enum<DBProperties.DatabaseType>
com.icc.util.DBProperties.DatabaseType

All Implemented Interfaces:
  `Serializable`, `Comparable<DBProperties.DatabaseType>`, `Constable`

Enclosing class:
  DBProperties

public static enum DBProperties.DatabaseType extends Enum<DBProperties.DatabaseType>
These constants are used to specify the DataBaseType from any of the listed types as, ERWIN, CWM, XMI, XSD, DSV, JSON, EXCEL, MSACCESS,HSQLDB,
SQLSERVER, SQLSERVERWINDOWS, ORACLE, GREENPLUM, VERTICA, SYBASE, PERVASIVE, TERADATA, DB2, MYSQL, NETEZZA, SAP,
AMAZON_REDSHIFT("AmazonRedshift"), OTHER, ODBC, BIGQUERY("BigQuery"), BIGDATA_CLOUDERA("Cloudera"), BIGDATA_HORTONWORKS("Hortonworks"), BIGDATA_MAPR("MapR"),SALESFORCE.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AMAZON_REDSHIFT`
  Amazon Redshift is a fully managed, petabyte-scale data warehouse service in the cloud.
  `BIGDATA_CLOUDERA`
  CLOUDERA's open source platform, for the distribution of HADOOP and related projects.
  `BIGDATA_HORTONWORKS`
  HORTONWORKS drives actionable intelligence with Connected Data Platforms that maximize the value of all data—data-in-motion and data-at-rest.
  `BIGDATA_MAPR`
  MapR is a programming model and an associated implementation for processing and generating large data sets with a parallel, distributed algorithm on a cluster.
  `BIGQUERY`
  BigQuery
  `CWM`
  The CWM defines a specification for modeling metaData for relational, non-relational, multi-dimensional, and most other objects found in a data warehousing environment.
  `DATABRICKS`
  Databricks
  `DB2`
  DB2 is designed to store, analyze and retrieve the data efficiently.
  `DSV`
  Delimiter-separated values(DSV) store two-dimensional arrays of data by separating the values in each row with specific delimiter characters.
  `ERWIN`
  ERwin is a software tool for data modeling of custom developed information systems, including databases of transactional systems and data marts.
  `ERWIN9`
  Deprecated.
  `ETL`
  ETL defines the components in ETL Tools.
  `EXCEL`
  Microsoft Excel has the basic features of all spreadsheets, using a grid of cells arranged in numbered rows and letter-named columns to organize the data manipulations.
  `GREENPLUM`
  GREENPLUM Database is an advanced, fully featured, open source data warehouse.
  `HSQLDB`
  HSQLDB (HyperSQL Database) is the leading SQL relational database offers a small, fast multiThreaded and transactional database engine with in-memory and disk-based tables and supports embedded and server modes.
  `JSON`
  JavaScript Object Notation(JSON) is a syntax for storing and exchanging data.
  `MSACCESS`
  Microsoft Access stores data in its own format based on the Access Jet Database Engine.
  `MYSQL`
  MySQL is the Open Source Relational SQL database management system enabling the cost-effective delivery of reliable, high-performance and scalable Web-based and embedded database applications.
  `NETEZZA`
  NETEZZA system can support multiple concurrent connections from clients.
  `ODBC`
  Open Database Connectivity (ODBC) is an open standard application programming interface (API) for accessing a database.
  `ORACLE`
  Oracle database is a collection of data treated as a unit.
  `OTHER`
  Any other DatabaseType can be accessed by specifying the databaseType as OTHER.
  `PERVASIVE`
  Pervasive is an ACID-compliant DBMS.
  `POSTGRESQL`
  POSTGRESQL Database is a free and open-source relational database management system (RDBMS) emphasizing extensibility and SQL compliance.
  `SALESFORCE`
  SALESFORCE business tool that allows you to manage all your customers, partners and prospects information all in one place
  `SAP`
  SAP DB is an open-source, platform-independent, SQL-based database system.
  `SNOWFLAKE`
  Snowflake
  `SQLSERVER`
  Microsoft SQL Server is a relational database management system with the primary function of storing and retrieving data as requested by other software applications.
  `SQLSERVERWINDOWS`
  SQL Server also makes the databases available via Windows Authentication.
  `SYBASE`
  SYBASE is an enterprise software that manages and analyzes the information in relational databases.
  `TERADATA`
  TERADATA delivers high performance, diverse queries, in-database analytics & sophisticated workload management.
  `VERTICA`
  VERTICA is the cluster-based, column-oriented is designed to manage large, fast-growing volumes of data and provide very fast query performance.
  `XMI`
  The XML Meta data Interchange (XMI) is an Object Management Group (OMG) standard for exchanging meta data information via Extensible Markup Language (XML).
  `XSD`
  XSD (XML Schema Definition) specifies how to formally describe the elements in an Extensible Markup Language (XML) document.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DBProperties.DatabaseType`
  `getDatabaseType(String value)`
  Returns the DatabaseType for the specified value.
  `String`
  `toString()`
  Returns the String representation.
  `static DBProperties.DatabaseType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DBProperties.DatabaseType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ERWIN

    public static final DBProperties.DatabaseType ERWIN
    ERwin is a software tool for data modeling of custom developed information systems, including databases of transactional systems and data marts.

  - ### ETL

    public static final DBProperties.DatabaseType ETL
    ETL defines the components in ETL Tools.

  - ### ERWIN9

    @Deprecated public static final DBProperties.DatabaseType ERWIN9
    Deprecated.
    ERWin9 is a leading data modeling solution that provides a simple, visual interface to manage your enterprise complex data environment.

  - ### CWM

    public static final DBProperties.DatabaseType CWM
    The CWM defines a specification for modeling metaData for relational, non-relational, multi-dimensional, and most other objects found in a data warehousing environment.

  - ### XMI

    public static final DBProperties.DatabaseType XMI
    The XML Meta data Interchange (XMI) is an Object Management Group (OMG) standard for exchanging meta data information via Extensible Markup Language (XML).

  - ### XSD

    public static final DBProperties.DatabaseType XSD
    XSD (XML Schema Definition) specifies how to formally describe the elements in an Extensible Markup Language (XML) document.

  - ### DSV

    public static final DBProperties.DatabaseType DSV
    Delimiter-separated values(DSV) store two-dimensional arrays of data by separating the values in each row with specific delimiter characters.

  - ### JSON

    public static final DBProperties.DatabaseType JSON
    JavaScript Object Notation(JSON) is a syntax for storing and exchanging data.

  - ### EXCEL

    public static final DBProperties.DatabaseType EXCEL
    Microsoft Excel has the basic features of all spreadsheets, using a grid of cells arranged in numbered rows and letter-named columns to organize the data manipulations.

  - ### MSACCESS

    public static final DBProperties.DatabaseType MSACCESS
    Microsoft Access stores data in its own format based on the Access Jet Database Engine.

  - ### HSQLDB

    public static final DBProperties.DatabaseType HSQLDB
    HSQLDB (HyperSQL Database) is the leading SQL relational database offers a small, fast multiThreaded and transactional database engine with in-memory and disk-based tables and supports embedded and server modes.

  - ### SQLSERVER

    public static final DBProperties.DatabaseType SQLSERVER
    Microsoft SQL Server is a relational database management system with the primary function of storing and retrieving data as requested by other software applications.

  - ### SQLSERVERWINDOWS

    public static final DBProperties.DatabaseType SQLSERVERWINDOWS
    SQL Server also makes the databases available via Windows Authentication.

  - ### ORACLE

    public static final DBProperties.DatabaseType ORACLE
    Oracle database is a collection of data treated as a unit. The purpose of this database is to store and retrieve related information.

  - ### GREENPLUM

    public static final DBProperties.DatabaseType GREENPLUM
    GREENPLUM Database is an advanced, fully featured, open source data warehouse.

  - ### POSTGRESQL

    public static final DBProperties.DatabaseType POSTGRESQL
    POSTGRESQL Database is a free and open-source relational database management system (RDBMS) emphasizing extensibility and SQL compliance.

  - ### VERTICA

    public static final DBProperties.DatabaseType VERTICA
    VERTICA is the cluster-based, column-oriented is designed to manage large, fast-growing volumes of data and provide very fast query performance.

  - ### SYBASE

    public static final DBProperties.DatabaseType SYBASE
    SYBASE is an enterprise software that manages and analyzes the information in relational databases.

  - ### PERVASIVE

    public static final DBProperties.DatabaseType PERVASIVE
    Pervasive is an ACID-compliant DBMS.

  - ### TERADATA

    public static final DBProperties.DatabaseType TERADATA
    TERADATA delivers high performance, diverse queries, in-database analytics & sophisticated workload management.

  - ### DB2

    public static final DBProperties.DatabaseType DB2
    DB2 is designed to store, analyze and retrieve the data efficiently.

  - ### MYSQL

    public static final DBProperties.DatabaseType MYSQL
    MySQL is the Open Source Relational SQL database management system enabling the cost-effective delivery of reliable, high-performance and scalable Web-based and embedded database applications.

  - ### NETEZZA

    public static final DBProperties.DatabaseType NETEZZA
    NETEZZA system can support multiple concurrent connections from clients. Within a connection, NETEZZA supports only one active SQL activity at a time.

  - ### SAP

    public static final DBProperties.DatabaseType SAP
    SAP DB is an open-source, platform-independent, SQL-based database system.

  - ### AMAZON_REDSHIFT

    public static final DBProperties.DatabaseType AMAZON_REDSHIFT
    Amazon Redshift is a fully managed, petabyte-scale data warehouse service in the cloud.

  - ### OTHER

    public static final DBProperties.DatabaseType OTHER
    Any other DatabaseType can be accessed by specifying the databaseType as OTHER.

  - ### ODBC

    public static final DBProperties.DatabaseType ODBC
    Open Database Connectivity (ODBC) is an open standard application programming interface (API) for accessing a database.

  - ### BIGDATA_CLOUDERA

    public static final DBProperties.DatabaseType BIGDATA_CLOUDERA
    CLOUDERA's open source platform, for the distribution of HADOOP and related projects.

  - ### BIGDATA_HORTONWORKS

    public static final DBProperties.DatabaseType BIGDATA_HORTONWORKS
    HORTONWORKS drives actionable intelligence with Connected Data Platforms that maximize the value of all data—data-in-motion and data-at-rest.

  - ### BIGDATA_MAPR

    public static final DBProperties.DatabaseType BIGDATA_MAPR
    MapR is a programming model and an associated implementation for processing and generating large data sets with a parallel, distributed algorithm on a cluster.

  - ### SALESFORCE

    public static final DBProperties.DatabaseType SALESFORCE
    SALESFORCE business tool that allows you to manage all your customers, partners and prospects information all in one place

  - ### SNOWFLAKE

    public static final DBProperties.DatabaseType SNOWFLAKE
    Snowflake

  - ### DATABRICKS

    public static final DBProperties.DatabaseType DATABRICKS
    Databricks

  - ### BIGQUERY

    public static final DBProperties.DatabaseType BIGQUERY
    BigQuery

- ## Method Details

  - ### values

    public static DBProperties.DatabaseType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DBProperties.DatabaseType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getDatabaseType

    public static DBProperties.DatabaseType getDatabaseType(String value)
    Returns the DatabaseType for the specified value.
    Parameters:
      `value` - String
    Returns:
      DatabaseType

  - ### toString

    public String toString()
    Returns the String representation.
    Overrides:
      `toString` in class `Enum<DBProperties.DatabaseType>`
    Returns:
      String